;angular.module('Landers.angular')
    .provider('Notification', function() {
        var provider = this;
        provider.icon = '';

        this.$get = [function() {
            return {
                show: function(content, title){
                    if (Notification && Notification.requestPermission) {
                        Landers.response.msgbox(content);
                        Notification.requestPermission(function (permission) {
                            if (permission == 'granted') {
                                new Notification(title || '', {
                                    // dir: 'auto',
                                    // lang: 'hi',
                                    // tag: 'testTag',
                                    icon: provider.icon,
                                    body: content
                                });
                            } else {
                                console.error('Notification have no permission');
                            }
                        });
                    } else {
                        console.error('系统不支持 Notification 对象');
                    }
                },
                message: function(message) {
                    this.show(message);
                },
                result: function(apiResult) {
                    this.show(apiResult.message);
                }
            }
        }]
    });